Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451732 - net install should not use mirrorlist if given a local tree
Summary: net install should not use mirrorlist if given a local tree
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 00:30 UTC by Jens Petersen
Modified: 2008-06-27 12:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-27 12:45:27 UTC


Attachments (Terms of Use)

Description Jens Petersen 2008-06-17 00:30:45 UTC
Description of problem:
Anaconda seems to default to installing from a Fedora rawhide repo from mirrorlist
when asked to net-install from a local/specific tree.

How reproducible:
every time

Steps to Reproduce:
1. net install rawhide from a specific local mirror/tree
  
Actual results:
default to Fedora (local) and Fedora rawhide (mirrorlist) repos

Expected results:
should just default to local Fedora repo given to installer.

Additional info:
I think having Fedora and Fedora rawhide is a bit confusing,
but as long as rawhide is not enabled in this case it should be ok.

Comment 1 Jeremy Katz 2008-06-17 00:44:15 UTC
Yeah, Chris is working on this, it's just a bit convoluted to get everything to
land at once, so pieces are trickling in

Comment 2 Chris Lumens 2008-06-18 14:59:33 UTC
This should be better with the giant push I just made.  We'll still present all
those other repos, but they will be disabled by default if you've already
provided some method.  Also, it's no longer called "Fedora" and "Fedora Rawhide"
so hopefully it's a little less confusing.

Comment 3 Jens Petersen 2008-06-25 04:01:38 UTC
Thanks - looks better now. :)

Can "Installation Repo" be listed first at the top to be visible.
Otherwise people might start clicking other repos thinking none are selected.

Comment 4 Chris Lumens 2008-06-25 04:08:50 UTC
Yes, that's the plan.  I just need to find a few spare minutes to spend working
on the custom sort order.  It's on the whiteboard so I don't forget.

Comment 5 Jens Petersen 2008-06-27 03:49:38 UTC
Looks good now in rawhide (which just defaults to Fedora Rawhide with mirrorlist).


Note You need to log in before you can comment on or make changes to this bug.